#!/usr/bin/perl

use strict;
use Test::More tests => 11;

# 1
BEGIN { use_ok('FDN::Web::TemplateParse', qw(remplace parse)); }

# 2
my $tpl = 'avant%%val%%apres';
my $txt = parse($tpl,{val=>1},);
is ( $txt, 'avant1apres', 'tpl');

# 3
$tpl = '1%%IF-c-%%2%%v%%3%%-c-EIF%%4';
$txt = parse($tpl,{c=>1,v=>2});
is ( $txt, '12234', 'tpl');

# 4
$txt = parse($tpl,{c=>0,v=>2});
is ( $txt, '14', 'tpl');

# 5
$tpl = '1%%NOT-c-%%2%%v%%3%%-c-ENOT%%4';
$txt = parse($tpl,{c=>1,v=>2});
is ( $txt, '14', 'tpl');

# 6
$txt = parse($tpl,{c=>0,v=>2});
is ( $txt, '12234', 'tpl');

# 7
$tpl = '1%%LOOP-a-%%2%%b%%3%%-a-ELOOP%%4';
$txt = parse($tpl,{a=>[{b=>1},{b=>2}]});
is ( $txt, '12132234', 'tpl');

# 8
$txt = parse($tpl,{a=>[{b=>'x'},{b=>'y'},{b=>'z'}]});
is ( $txt, '12x32y32z34', 'tpl');

# 9
$txt = parse($tpl,{});
is ( $txt, '14', 'tpl');

# 10
$txt = parse($tpl, {a=>[{},{},{}]},{b=>'X'});
is ( $txt, '12X32X32X34', 'tpl');

# 11
[ -f 't/test.tpl' ] && system('rm -f t/test.tpl');
open OUT, '>t/test.tpl';
print OUT '%%var1%% %%LOOP-a-%%%%var2%%%%-a-ELOOP%%Fin.';
close OUT;
$tpl = 't/test.tpl';
$txt = remplace($tpl,{var1=>'v1',a=>[{var2=>'vala'}]},);
is ( $txt, 'v1 valaFin.', 'tpl');


















































































